#!/bin/sh
echo 'name: basic-prelude
version: 0.3.5.0
id: basic-prelude-0.3.5.0-eda0eeec6687a239174b317aed8dbd16

license: MIT
copyright:
maintainer: michael@snoyman.com
stability:
homepage: https://github.com/snoyberg/basic-prelude
package-url:
synopsis: An enhanced core prelude; a common foundation for alternate preludes.
description: The premise of @basic-prelude@ is that there are a lot of very commonly desired features missing from the standard @Prelude@, such as commonly used operators (@\<$\>@ and @>=>@, for instance) and imports for common datatypes (e.g., @ByteString@ and @Vector@). At the same time, there are lots of other components which are more debatable, such as providing polymorphic versions of common functions.
             .
             So @basic-prelude@ is intended to give a common foundation for a number of alternate preludes. The package provides two modules: @CorePrelude@ provides the common ground for other preludes to build on top of, while @BasicPrelude@ exports @CorePrelude@ together with commonly used list functions to provide a drop-in replacement for the standard @Prelude@.
             .
             Users wishing to have an improved @Prelude@ can use @BasicPrelude@. Developers wishing to create a new prelude should use @CorePrelude@.
             .
             Release history:
             .
             [0.3] Moved a number of exports from @BasicPrelude@ to @CorePrelude@ and vice-versa.
             .
             [0.2] Renamed @BasicPrelude@ to @CorePrelude@ and added a new @BasicPrelude@ module provided a full-featured @Prelude@ alternative. Also added a number of new exports.
             .
             [0.1] Initial version, code taken from @classy-prelude@ with a few minor tweaks.
category: Control, Prelude
author: Michael Snoyman, Dan Burton
exposed: True
exposed-modules: BasicPrelude CorePrelude
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/basic-prelude-0.3.5.0
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/basic-prelude-0.3.5.0
              /usr/local/lib
hs-libraries: HSbasic-prelude-0.3.5.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ReadArgs-1.2.1-5c0c91026e588174c4c394ae7df955a6
         base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
         containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2
         hashable-1.1.2.5-e0f2541518f84d3123a819112b4ffe20
         lifted-base-0.2.0.5-d32c32bc1fa1f68137cfd9d588255252
         system-filepath-0.4.7-c7b27b28fefe76644dbb98b4689e1735
         text-0.11.3.1-b49365bcfaf3954e4484c36c86c98126
         transformers-0.3.0.0-ff2bb6ac67241ebb987351a3db564af0
         unordered-containers-0.2.3.1-a104e98659198f3079fae6376d376e49
         vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/basic-prelude-0.3.5.0/html/basic-prelude.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/basic-prelude-0.3.5.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
